## CORBA Interface IWorkspace

A SAS session.

### Definition

CORBA Module SAS

### IWorkspace Description

A SAS Integrated Object Model (IOM) workspace represents a single session of SAS, and provides the same set of resources and facilities as an interactive or batch SAS session.

CORBA Definitions
method Close | Close a SAS workspace and exit
attribute LanguageService | Services for submitting SAS statements to the workspace.
attribute DataService | Services for reading and writing SAS libraries and relational data available to this Workspace.
attribute FileService | An interface to manipulate external files and filerefs.
attribute Utilities | Controls various utility features within this workspace.
attribute Name | A client-chosen workspace name.
attribute UniqueIdentifier | A UUID that can be used to uniquely identify this SAS workspace.
method GetApplication | Returns the top-level component for the requested application.
method GetNewWorkspace | Returns a separate workspace within the same server.

Java Classes
IWorkspaceHelper | Used to manipulate the IWorkspace type
IWorkspaceHolder | Used to process the IWorkspace type as an out parameter

Java Interfaces
IWorkspace | A SAS session.

### IWorkspace_1_1 Description

CORBA Definitions
method Close | Close a SAS workspace and exit
attribute LanguageService | Services for submitting SAS statements to the workspace.
attribute DataService | Services for reading and writing SAS libraries and relational data available to this Workspace.
attribute FileService | An interface to manipulate external files and filerefs.
attribute Utilities | Controls various utility features within this workspace.
attribute Name | A client-chosen workspace name.
attribute UniqueIdentifier | A UUID that can be used to uniquely identify this SAS workspace.
method GetApplication | Returns the top-level component for the requested application.
method GetNewWorkspace | Returns a separate workspace within the same server.
method CreateSTPContextFromWorkspace |

Java Classes
IWorkspace_1_1Helper | Used to manipulate the IWorkspace_1_1 type
IWorkspace_1_1Holder | Used to process the IWorkspace_1_1 type as an out parameter

Java Interfaces
IWorkspace_1_1 | A SAS session.

Java Interface IWorkspace

A SAS session.

Package com.sas.iom.SAS

IWorkspace Description
A SAS Integrated Object Model (IOM) workspace represents a single session of SAS, and provides the same set of resources and facilities as an interactive or batch SAS session.

`public interface IWorkspace
extends org.omg.CORBA.Object`

Method Summary

void | Close () Close a SAS workspace and exit
Object | GetApplication ( java.lang.String application ) throws ( GenericError ); Returns the top-level component for the requested application.
IWorkspace | GetNewWorkspace ( ) throws ( GenericError ); Returns a separate workspace within the same server.

Java Class IWorkspaceHelper

public class IWorkspaceHelper

Description
Implementing class for methods (insert, extract, type, id, read, write, narrow) used to manipulate the IWorkspace type.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IWorkspaceHelper

Java Class IWorkspaceHolder

public class IWorkspaceHolder

Description
Implementing class for methods (_read, _write, _type) used to process the IWorkspace type as an out parameter.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IWorkspaceHolder

CORBA Method Close

Close a SAS workspace and exit

Description
This method ends the use of a workspace and frees any associated resources such as files or memory. This is equivalent to ENDSAS from the SAS command line.

You should close each workspace when you are finished with it.

Usage

Java Method Close

`void` Close ( )

Example

CORBA Attribute LanguageService (readonly)

Services for submitting SAS statements to the workspace.

Description
This attribute is the LanguageService for this Workspace. It enables you to submit SAS statements and then examine the list and log.

Usage

Java Method LanguageService

    public ILanguageService LanguageService ();

CORBA Attribute DataService (readonly)

Services for reading and writing SAS libraries and relational data available to this Workspace.

Description
This attribute is the DataService within this workspace. It provides the basis for accessing SAS data libraries and the many relational databases that are available through SAS/ACCESS products.

Usage

Java Method DataService

    public IDataService DataService ();

CORBA Attribute FileService (readonly)

An interface to manipulate external files and filerefs.

Description
This attribute is the FileService for this workspace. The FileService component enables you to explore the file system and manipulate its files. If the Workspace is running a remote server, then files on that server are being accessed.

Usage

Java Method FileService

    public IFileService FileService ();

CORBA Attribute Utilities (readonly)

Controls various utility features within this workspace.

Description
This Utilities component provides access to various utility features within this SAS Workspace. The Utilities object provides services that control data formatting (formats/informats), SAS system options and result packages. An interface to the server host is also available.

Usage

Java Method Utilities

    public IUtilities Utilities ();

CORBA Attribute Name

A client-chosen workspace name.

Description
You can set any name that you want on the Workspace. This may be helpful when you are managing multiple workspaces from within the same client program.

Usage

Java Method Name

    public java.lang.String Name ();
    public void Name ( java.lang.String Name );

CORBA Attribute UniqueIdentifier (readonly)

A UUID that can be used to uniquely identify this SAS workspace.

Description
Each workspace has a universally unique identifier (UUID) that may be used to identify it unambiguously. This UUID is generated automatically for each new workspace.

This attribute supplies the UUID in string form.

Usage

Java Method UniqueIdentifier

    public java.lang.String UniqueIdentifier ();

CORBA Method GetApplication

Returns the top-level component for the requested application.

Description
You can use this operation to obtain SCL components and components for additional SAS products. The caller supplies a name to identify the desired application. This operation returns a generic interface for the top-level component of the application.

Usage

Java Method GetApplication

`Object` GetApplication (

        java.lang.String application
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
application | in | java.lang.String | The application identifier string. For components written in SCL, this is a class or application name. For other SAS applications, the name is provided in documentation. For SCL, the name is either the name of the top-level application class or the name of an SCL program that loads and returns the top-level application class. In the latter case, the program could perform additional initialization before or after the class is loaded. SCL class names must be fully qualified (i.e. "library.catalog.class"), but there is a default lookup for SCL applications. An applications can be located in "sasuser.iom" or "sashelp.iom" (in that order) if its name is not fully qualified. You should avoid using unqualified names which begin with "SAS", because these may conflict with applications provided by SAS Institute.

Example

CORBA Method GetNewWorkspace

Returns a separate workspace within the same server.

Description
Creates an additional Workspace within the same server. Thus, the new workspace is on the same host and runs within the same operating system process or address space as the workspace used to call this operation. This is equivalent to the STARTSAS command in interactive mode.

You must call Close separately on the original Workspace and on each new workspace that you create with this operation.

Usage

Java Method GetNewWorkspace

`public IWorkspace` GetNewWorkspace (

        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---

Example

IWorkspace_1_1 Description

`public interface IWorkspace_1_1
Extends IWorkspace`

Method Summary

Object | CreateSTPContextFromWorkspace ( ) throws ( GenericError );

Java Class IWorkspace_1_1Helper

public class IWorkspace_1_1Helper

Description
Implementing class for methods (insert, extract, type, id, read, write, narrow) used to manipulate the IWorkspace_1_1 type.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IWorkspace_1_1Helper

Java Class IWorkspace_1_1Holder

public class IWorkspace_1_1Holder

Description
Implementing class for methods (_read, _write, _type) used to process the IWorkspace_1_1 type as an out parameter.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IWorkspace_1_1Holder

CORBA Method CreateSTPContextFromWorkspace

Description

Usage

Java Method CreateSTPContextFromWorkspace

`Object` CreateSTPContextFromWorkspace (

        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---

Example